import { SimpleLocalIntegration } from '../../core/index.js';
import { LocativeConfigFlow } from './locative.classes.configflow.js';
import { createLocativeDiscoveryDescriptor } from './locative.discovery.js';
import type { ILocativeConfig } from './locative.types.js';
import { locativeDomain, locativeProfile } from './locative.types.js';

export class LocativeIntegration extends SimpleLocalIntegration<ILocativeConfig> {
  public readonly domain = locativeDomain;
  public readonly discoveryDescriptor = createLocativeDiscoveryDescriptor();
  public readonly configFlow = new LocativeConfigFlow();

  constructor() {
    super(locativeProfile);
  }
}

export class HomeAssistantLocativeIntegration extends LocativeIntegration {}
